Required Nvidia Driver

I’m running an older Nvidia driver for other 3D software reasons (R21 c4d/redshift 3.0.66). It appears I can output via ProRes which is great, but MP4/H265 has a driver error.

Are there any other drawbacks by using these older drivers?

Nvidia 497.29 or 517.40

Using older drivers can cause issues in the app and the export process for different codecs.

Thanks for replying, but is there anything else that can be elaborated on?

Is there a codec / export process that works better with older drivers? Or is there a rough guide as to what version number starts running into more issues?

Side note, i’ve got dual 3090s (in case this is adds anything)
Thanks